Loading...
Searching...
No Matches
juce::dsp::Chorus< SampleType > Class Template Reference

## Detailed Description

template<typename SampleType>
class juce::dsp::Chorus< SampleType >

A simple chorus DSP widget that modulates the delay of a delay line in order to create sweeping notches in the magnitude frequency response.

This audio effect can be controlled via the speed and depth of the LFO controlling the frequency response, a mix control, a feedback control, and the centre delay of the modulation.

Note: To get classic chorus sounds try to use a centre delay time around 7-8 ms with a low feedback volume and a low depth. This effect can also be used as a flanger with a lower centre delay time and a lot of feedback, and as a vibrato effect if the mix value is 1.

The documentation for this class was generated from the following file:

- juce_dsp/widgets/juce_Chorus.h

## Public Member Functions

| Chorus ()
| Constructor.
void | setRate (SampleType newRateHz)
| Sets the rate (in Hz) of the LFO modulating the chorus delay line.
void | setDepth (SampleType newDepth)
| Sets the volume of the LFO modulating the chorus delay line (between 0 and 1).
void | setCentreDelay (SampleType newDelayMs)
| Sets the centre delay in milliseconds of the chorus delay line modulation.
void | setFeedback (SampleType newFeedback)
| Sets the feedback volume (between -1 and 1) of the chorus delay line.
void | setMix (SampleType newMix)
| Sets the amount of dry and wet signal in the output of the chorus (between 0 for full dry and 1 for full wet).
void | prepare (const ProcessSpec &spec)
| Initialises the processor.
void | reset ()
| Resets the internal state variables of the processor.
template<typename ProcessContext>
void | process (const ProcessContext &context) noexcept
| Processes the input and output samples supplied in the processing context.

## Constructors and Destructors

## Chorus()

template<typename SampleType>

juce::dsp::Chorus< SampleType >::Chorus | ( |  | ) |

Constructor.

## Member Functions

## setRate()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::setRate | ( | SampleType | newRateHz | ) |

Sets the rate (in Hz) of the LFO modulating the chorus delay line.

This rate must be lower than 100 Hz.

## setDepth()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::setDepth | ( | SampleType | newDepth | ) |

Sets the volume of the LFO modulating the chorus delay line (between 0 and 1).

## setCentreDelay()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::setCentreDelay | ( | SampleType | newDelayMs | ) |

Sets the centre delay in milliseconds of the chorus delay line modulation.

This delay must be between 1 and 100 ms.

## setFeedback()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::setFeedback | ( | SampleType | newFeedback | ) |

Sets the feedback volume (between -1 and 1) of the chorus delay line.

Negative values can be used to get specific chorus sounds.

## setMix()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::setMix | ( | SampleType | newMix | ) |

Sets the amount of dry and wet signal in the output of the chorus (between 0 for full dry and 1 for full wet).

## prepare()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

## reset()

template<typename SampleType>

void juce::dsp::Chorus< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

## process()

template<typename SampleType>
template<typename ProcessContext>

void juce::dsp::Chorus< SampleType >::process | ( | const ProcessContext & | context | ) |

inline noexcept

Processes the input and output samples supplied in the processing context.

References juce::dsp::AudioBlock< SampleType >::getSubBlock(), jassert, and juce::jmax().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited